Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.ClassBodyContext

- org.apache.groovy.parser.antlr4.GroovyParser.ClassBodyContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `t` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassBodyContext (ParserRuleContext parent, int invokingState)`
    `ClassBodyContext (ParserRuleContext parent, int invokingState, int t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `TerminalNode` | `COMMA()`
    `` | `TerminalNode` | `LBRACE()`
    `` | `TerminalNode` | `RBRACE()`
    `` | `Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `List<? extends ClassBodyDeclarationContext>` | `classBodyDeclaration()`
    `` | `ClassBodyDeclarationContext` | `classBodyDeclaration(int i)`
    `` | `EnumConstantsContext` | `enumConstants()`
    `` | `int` | `getRuleIndex()`
    `` | `List<? extends NlsContext>` | `nls()`
    `` | `NlsContext` | `nls(int i)`
    `` | `List<? extends SepContext>` | `sep()`
    `` | `SepContext` | `sep(int i)`

- - ### Field Detail

    - #### public int t

  - ### Constructor Detail

    - #### public ClassBodyContext(ParserRuleContext parent, int invokingState)

    - #### public ClassBodyContext(ParserRuleContext parent, int invokingState, int t)

  - ### Method Detail

    - #### public TerminalNode COMMA()

    - #### public TerminalNode LBRACE()

    - #### public TerminalNode RBRACE()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends ClassBodyDeclarationContext> classBodyDeclaration()

    - #### public ClassBodyDeclarationContext classBodyDeclaration(int i)

    - #### public EnumConstantsContext enumConstants()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public int getRuleIndex()

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)

    - #### public List<? extends SepContext> sep()

    - #### public SepContext sep(int i)